Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.csi.mddtools.datagen
Interface DBAccessModel

All Superinterfaces:
  org.eclipse.emf.cdo.CDOObject, org.eclipse.emf.cdo.common.id.CDOWithID, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

    public interface DBAccessModel

extends org.eclipse.emf.cdo.CDOObject

A representation of the model object 'DB Access Model'. Modellazione dello strato di accesso ai dati

The following features are supported:

- `Schema`
- `Daopkgs`
- `Cod Prodotto`
- `Cod Componente`
- `Name`

See Also:
  `DatagenPackage.getDBAccessModel()`

Method Summary
`java.lang.String` | `getCodComponente()` Returns the value of the 'Cod Componente' attribute
`java.lang.String` | `getCodProdotto()` Returns the value of the 'Cod Prodotto' attribute
`org.eclipse.emf.common.util.EList<DaoPackage>` | `getDaopkgs()` Returns the value of the 'Daopkgs' containment reference list.
`java.lang.String` | `getName()` Returns the value of the 'Name' attribute
`Schema` | `getSchema()` Returns the value of the 'Schema' reference
`void` | `setCodComponente(java.lang.String value)` Sets the value of the '`Cod Componente`' attribute
`void` | `setCodProdotto(java.lang.String value)` Sets the value of the '`Cod Prodotto`' attribute
`void` | `setName(java.lang.String value)` Sets the value of the '`Name`' attribute
`void` | `setSchema(Schema value)` Sets the value of the '`Schema`' reference

Methods inherited from interface org.eclipse.emf.cdo.CDOObject
`cdoConflict, cdoDirectResource, cdoID, cdoInvalid, cdoPrefetch, cdoReadLock, cdoReload, cdoResource, cdoRevision, cdoState, cdoView, cdoWriteLock`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getSchema

    Schema getSchema()

  Returns the value of the 'Schema' reference.

  If the meaning of the 'Schema' reference isn't clear, there really should be more of a description here...

  Schema DB di cui viene modellato l'accesso

  Returns:
    the value of the 'Schema' reference.
  See Also:
    `setSchema(Schema)`, `DatagenPackage.getDBAccessModel_Schema()`

### setSchema

    void setSchema(Schema value)

  Sets the value of the '`Schema`' reference.

  Parameters:
    `value` - the new value of the 'Schema' reference.
  See Also:
    `getSchema()`

### getDaopkgs

    org.eclipse.emf.common.util.EList<DaoPackage> getDaopkgs()

  Returns the value of the 'Daopkgs' containment reference list. The list contents are of type `DaoPackage`.

  If the meaning of the 'Daopkgs' containment reference isn't clear, there really should be more of a description here...

  I DataAccessObject sono suddivisi in gruppi logici

  Returns:
    the value of the 'Daopkgs' containment reference list.
  See Also:
    `DatagenPackage.getDBAccessModel_Daopkgs()`

### getCodProdotto

    java.lang.String getCodProdotto()

  Returns the value of the 'Cod Prodotto' attribute.

  If the meaning of the 'Cod Prodotto' attribute isn't clear, there really should be more of a description here...

  Codice prodotto di appartenenza

  Returns:
    the value of the 'Cod Prodotto' attribute.
  See Also:
    `setCodProdotto(String)`, `DatagenPackage.getDBAccessModel_CodProdotto()`

### setCodProdotto

    void setCodProdotto(java.lang.String value)

  Sets the value of the '`Cod Prodotto`' attribute.

  Parameters:
    `value` - the new value of the 'Cod Prodotto' attribute.
  See Also:
    `getCodProdotto()`

### getCodComponente

    java.lang.String getCodComponente()

  Returns the value of the 'Cod Componente' attribute.

  If the meaning of the 'Cod Componente' attribute isn't clear, there really should be more of a description here...

  Codice componente di appartenenza

  Returns:
    the value of the 'Cod Componente' attribute.
  See Also:
    `setCodComponente(String)`, `DatagenPackage.getDBAccessModel_CodComponente()`

### setCodComponente

    void setCodComponente(java.lang.String value)

  Sets the value of the '`Cod Componente`' attribute.

  Parameters:
    `value` - the new value of the 'Cod Componente' attribute.
  See Also:
    `getCodComponente()`

### getName

    java.lang.String getName()

  Returns the value of the 'Name' attribute. Codice componente di appartenenza

  Returns:
    the value of the 'Name' attribute.
  See Also:
    `setName(String)`, `DatagenPackage.getDBAccessModel_Name()`

### setName

    void setName(java.lang.String value)

  Sets the value of the '`Name`' attribute.

  Parameters:
    `value` - the new value of the 'Name' attribute.
  See Also:
    `getName()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD